<html>
<head>
<title>HTML table export as CSV</title>
<link rel="stylesheet" type="text/css" href="css/style.css" />
<link rel="stylesheet" type="text/css" href="css/form.css" />
<link rel="stylesheet" type="text/css" href="css/table.css" />
<script>
function exportCSVExcel() {
	var tableElement = document.getElementById("table-product-list");
	var sourceData = "data:text/csv;charset=utf-8,";
	var i = 0;
	while (row = tableElement.rows[i]) {
		sourceData += ([
			row.cells[0].innerText,
			row.cells[1].innerText,
			row.cells[2].innerText,
			row.cells[3].innerText
		]).join(",") + "\r\n";
		i++;
	}
	window.location.href = encodeURI(sourceData);
}
</script>

</head>
<body>
    <div class="phppot-container">
        <h1>Product List</h1>
        <table class="striped" id="table-product-list">
            <thead>
                <tr>
                    <th>S.No</th>
                    <th>Product Name</th>
                    <th>Price</th>
                    <th>Model</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>1</td>
                    <td>GIZMORE Multimedia Speaker with Remote Control
                        Black</td>
                    <td>2300</td>
                    <td>2020</td>
                </tr>
                <tr>
                    <td>2</td>
                    <td>Black Google Nest Mini</td>
                    <td>3400</td>
                    <td>2021</td>
                </tr>
            </tbody>
        </table>
        <div class="row">
            <input type="button" onclick="exportCSVExcel()"
                value="Export as CSV" />
        </div>
    </div>
</body>
</html>