<html>
<head>
<title>HTML table to excel export via jQuery based plugin</title>

<link rel="stylesheet" type="text/css" href="css/style.css" />
<link rel="stylesheet" type="text/css" href="css/form.css" />
<link rel="stylesheet" type="text/css" href="css/table.css" />
<script
    src="https://ajax.googleapis.com/ajax/libs/jquery/2.2.4/jquery.min.js"></script>
<script
    src="https://cdn.rawgit.com/rainabba/jquery-table2excel/1.1.0/dist/jquery.table2excel.min.js"></script>
<script>
    function exportCSVExcel() {
    	$('#table-product-list').table2excel({
    		exclude: ".no-export",
    		filename: "download.xls",
    		fileext: ".xls",
    		exclude_links: true,
    		exclude_inputs: true
    	});
    }
</script>
</head>
<body>
    <div class="phppot-container">
        <h1>Product List</h1>
        <table class="striped" id="table-product-list">
            <thead>
                <tr class="no-export">
                    <th>S.No</th>
                    <th>Product Name</th>
                    <th>Price</th>
                    <th>Model</th>
                </tr>
            </thead>
            <tbody>
                <tr>
                    <td>1</td>
                    <td>GIZMORE Multimedia Speaker with Remote Control
                        Black</td>
                    <td>2300</td>
                    <td>2020</td>
                </tr>
                <tr>
                    <td>2</td>
                    <td>Black Google Nest Mini</td>
                    <td>3400</td>
                    <td>2021</td>
                </tr>
            </tbody>
        </table>
        <div class="row">
            <input type="button" onclick="exportCSVExcel()"
                value="Export as CSV" />
        </div>
    </div>
</body>
</html>